Bug 229349 - [NEW PORT] devel/py-prettyprinter: Syntax-highlighting, declarative and composable pretty printer
Summary: [NEW PORT] devel/py-prettyprinter: Syntax-highlighting, declarative and compo...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://pypi.org/project/prettyprinter/
Keywords:
Depends on: 229350
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-26 16:44 UTC by Patrice Clement
Modified: 2019-06-10 15:37 UTC (History)
2 users (show)

See Also:


Attachments
py-prettyprinter.diff (2.66 KB, patch)
2018-06-26 16:44 UTC, Patrice Clement
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrice Clement 2018-06-26 16:44:11 UTC
Created attachment 194652 [details]
py-prettyprinter.diff

Hi

I would like to add the py-prettyprinter Python module to the FreeBSD Ports.

Cheers
Comment 1 Patrice Clement 2018-10-13 23:11:03 UTC
ping? :)
Comment 2 commit-hook freebsd_committer 2019-06-10 15:29:40 UTC
A commit references this bug:

Author: kai
Date: Mon Jun 10 15:28:59 UTC 2019
New revision: 503900
URL: https://svnweb.freebsd.org/changeset/ports/503900

Log:
  New port: devel/py-prettyprinter

  PrettyPrinter is a Syntax-highlighting, declarative and composable pretty
  printer.

  Key Features:

  * Drop in replacement for the standard library pprint: just rename pprint to
    prettyprinter in your imports.
  * Uses a modified Wadler-Leijen layout algorithm for optimal formatting.
  * Write pretty printers for your own types with a dead simple, declarative
    interface.

  WWW: https://pypi.org/project/prettyprinter/

  PR:		229349
  Submitted by:	Patrice Clement <monsieurp@gentoo.org>

Changes:
  head/devel/Makefile
  head/devel/py-prettyprinter/
  head/devel/py-prettyprinter/Makefile
  head/devel/py-prettyprinter/distinfo
  head/devel/py-prettyprinter/pkg-descr
Comment 3 Kai Knoblich freebsd_committer 2019-06-10 15:34:26 UTC
Committed, thank you for your contribution! I did some minor fixes (= fixed BUILD_ / RUN_DEPENDS and whitespace issues between '=' and variables) and improved the pkg-descr.

Once again sorry for the delay!